Bug 503188 - update foomatic to 4.0.2
update foomatic to 4.0.2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
http://www.linuxfoundation.org/en/Ope...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 10:14 EDT by acount closed by user
Modified: 2009-07-22 17:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0.2-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:46:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2009-05-29 10:14:07 EDT
changelog:

This is a bug fix release which fixes several bugs leading foomatic-rip to crash. This happened especially with PJL commands and if the incoming job comes from a Windows client.

In addition, foomatic-rip builds now on Mac OS X and this enables the new Foomatic generation also for this operating system.

My special thanks go to Lars Uebernickel who made the Mac OS X build working. He also fixed some bugs in the handling of the renderer command line.

In foomatic-db-engine some small bugs in PPD file generation, especially for CUPS custom options, were fixed and the PPDs enable the integration of foomatic-rip in the PDF printing workflow of Mac OS X.


-thanks-
Comment 1 Bug Zapper 2009-06-09 12:47:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Update System 2009-07-02 12:10:13 EDT
foomatic-4.0.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/foomatic-4.0.2-1.fc11
Comment 3 Matt Foster 2009-07-10 09:01:35 EDT
Does anyone know when we might get this update?  I think I need it to fix segfaults I'm getting in foomatic-rip.  I don't see it at the link in Comment #2, nor have I seen it in updates-testing.
Comment 4 Tim Waugh 2009-07-10 09:14:18 EDT
The foomatic-rip segfault is bug #496521.

The updates-testing queue hasn't been working for me for the last couple of weeks.  I've pushed the foomatic update for the 'updates' channel (i.e. stable updates) now -- hopefully it will actually get pushed this time.
Comment 5 Fedora Update System 2009-07-11 13:03:27 EDT
foomatic-4.0.2-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Michal Jaegermann 2009-07-19 12:05:12 EDT
Despite of FEDORA-2009-7448 notification from 2009-07-11 it does not look that foomatic-4.0.2-3.fc11 really ever made to mirrors (while various later packages did; at least to some mirrors) so closing that may be a tad premature.
The same goes for "companion" system-config-printer-1.1.8-5.fc11 packages (FEDORA-2009-6777 from the same day).
Comment 7 Tim Waugh 2009-07-20 05:12:18 EDT
Reported to Fedora admin:
https://fedorahosted.org/fedora-infrastructure/ticket/1541
Comment 8 Fedora Update System 2009-07-20 05:21:27 EDT
foomatic-4.0.2-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/foomatic-4.0.2-4.fc11
Comment 9 Fedora Update System 2009-07-22 17:46:00 EDT
foomatic-4.0.2-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.